Package com.norconex.commons.lang.flow.module

# Class FlowDeserializer<T>

java.lang.Object
com.fasterxml.jackson.databind.JsonDeserializer<Consumer<T>>
com.norconex.commons.lang.flow.module.FlowDeserializer<T>

Type Parameters:
  `T` - type type of object being deserialized

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.deser.ContextualDeserializer`, `com.fasterxml.jackson.databind.deser.NullValueProvider`, `com.fasterxml.jackson.databind.deser.ResolvableDeserializer`

public class FlowDeserializer<T> extends com.fasterxml.jackson.databind.JsonDeserializer<Consumer<T>> implements com.fasterxml.jackson.databind.deser.ContextualDeserializer, com.fasterxml.jackson.databind.deser.ResolvableDeserializer
Flow deserializer.

Since:
  3.0.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

  `com.fasterxml.jackson.databind.JsonDeserializer.None`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowDeserializer(FlowMapperConfig config, com.fasterxml.jackson.databind.JsonDeserializer<?> defaultDeserializer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.fasterxml.jackson.databind.JsonDeserializer<?>`
  `createContextual(com.fasterxml.jackson.databind.DeserializationContext ctxt, com.fasterxml.jackson.databind.BeanProperty property)`
  `Consumer<T>`
  `deserialize(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctx)`
  `void`
  `resolve(com.fasterxml.jackson.databind.DeserializationContext ctxt)`

  ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

  `deserialize, deserializeWithType, deserializeWithType, findBackReference, getAbsentValue, getDelegatee, getEmptyAccessPattern, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getNullValue, getObjectIdReader, handledType, isCachable, logicalType, replaceDelegatee, supportsUpdate, unwrappingDeserializer`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FlowDeserializer

    public FlowDeserializer(FlowMapperConfig config, com.fasterxml.jackson.databind.JsonDeserializer<?> defaultDeserializer)

- ## Method Details

  - ### deserialize

    public Consumer<T> deserialize(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctx) throws IOException
    Specified by:
      `deserialize` in class `com.fasterxml.jackson.databind.JsonDeserializer<Consumer<T>>`
    Throws:
      `IOException`

  - ### createContextual

    public com.fasterxml.jackson.databind.JsonDeserializer<?> createContextual(com.fasterxml.jackson.databind.DeserializationContext ctxt, com.fasterxml.jackson.databind.BeanProperty property) throws com.fasterxml.jackson.databind.JsonMappingException
    Specified by:
      `createContextual` in interface `com.fasterxml.jackson.databind.deser.ContextualDeserializer`
    Throws:
      `com.fasterxml.jackson.databind.JsonMappingException`

  - ### resolve

    public void resolve(com.fasterxml.jackson.databind.DeserializationContext ctxt) throws com.fasterxml.jackson.databind.JsonMappingException
    Specified by:
      `resolve` in interface `com.fasterxml.jackson.databind.deser.ResolvableDeserializer`
    Throws:
      `com.fasterxml.jackson.databind.JsonMappingException`